org.apache.commons.math3.genetics

## Class FixedGenerationCount

- java.lang.Object
- - org.apache.commons.math3.genetics.FixedGenerationCount

- All Implemented Interfaces:
    StoppingCondition

      public class FixedGenerationCount
      extends Object
      implements StoppingCondition

  Stops after a fixed number of generations. Each time `isSatisfied(Population)` is invoked, a generation counter is incremented. Once the counter reaches the configured `maxGenerations` value, `isSatisfied(Population)` returns true.
  Since:
    2.0
  Version:
    $Id: FixedGenerationCount.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedGenerationCount(int maxGenerations)` Create a new FixedGenerationCount instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumGenerations()`
    `boolean` | `isSatisfied(Population population)` Determine whether or not the given number of generations have passed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedGenerationCount

          public FixedGenerationCount(int maxGenerations)

      Create a new FixedGenerationCount instance.
      Parameters:
        `maxGenerations` - number of generations to evolve
      Throws:
        `NumberIsTooSmallException` - if the number of generations is < 1

  - ### Method Detail

    - #### isSatisfied

          public boolean isSatisfied(Population population)

      Determine whether or not the given number of generations have passed. Increments the number of generations counter if the maximum has not been reached.
      Specified by:
        `isSatisfied` in interface `StoppingCondition`
      Parameters:
        `population` - ignored (no impact on result)
      Returns:
        `true` IFF the maximum number of generations has been exceeded

    - #### getNumGenerations

          public int getNumGenerations()

      Returns:
        the number of generations that have passed

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.